Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## datechooser.beans.editor
Class VisualEditor

    java.lang.Object
      java.beans.PropertyEditorSupport
          datechooser.beans.editor.VisualEditor

All Implemented Interfaces:
  java.beans.PropertyEditor

Direct Known Subclasses:
  VisualEditorCashed

    public abstract class VisualEditor

extends java.beans.PropertyEditorSupport

Superclass for all visual properties editors in this library.
Предок для всех редакторов, имеющих визуальный пользовательский редактор.

Since:
  1.0
Author:
  Androsov Vadim

Constructor Summary
`VisualEditor()`

Method Summary
`protected abstract javax.swing.JComponent` | `createEditor()`
`javax.swing.JComponent` | `getCustomEditor()`
`boolean` | `supportsCustomEditor()`

Methods inherited from class java.beans.PropertyEditorSupport
`addPropertyChangeListener, firePropertyChange, getAsText, getJavaInitializationString, getSource, getTags, getValue, isPaintable, paintValue, removePropertyChangeListener, setAsText, setSource, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VisualEditor

    public VisualEditor()

Method Detail

### supportsCustomEditor

    public boolean supportsCustomEditor()

  Specified by:
    `supportsCustomEditor` in interface `java.beans.PropertyEditor`
  Overrides:
    `supportsCustomEditor` in class `java.beans.PropertyEditorSupport`

### getCustomEditor

    public javax.swing.JComponent getCustomEditor()

  Specified by:
    `getCustomEditor` in interface `java.beans.PropertyEditor`
  Overrides:
    `getCustomEditor` in class `java.beans.PropertyEditorSupport`

### createEditor

    protected abstract javax.swing.JComponent createEditor()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD